"""This file is generated by gen_intrinsics.py.

DO NOT EDIT.
"""
from enum import Enum, unique


@unique
class LLVMIntrinsic(Enum):
    """Base names and IDs of LLVM intrinsics.

    These are not the full function names: Some are overloaded, so callsites have type information
    in the name, separated by '.'.
    """

    ADDRESSOFRETURNADDRESS = 1
    ADJUST_TRAMPOLINE = 2
    ANNOTATION = 3
    ASSUME = 4
    BITREVERSE = 5
    BSWAP = 6
    CANONICALIZE = 7
    CEIL = 8
    CLEAR_CACHE = 9
    CODEVIEW_ANNOTATION = 10
    CONVERT_FROM_FP16 = 11
    CONVERT_TO_FP16 = 12
    COPYSIGN = 13
    CORO_ALLOC = 14
    CORO_ALLOCA_ALLOC = 15
    CORO_ALLOCA_FREE = 16
    CORO_ALLOCA_GET = 17
    CORO_BEGIN = 18
    CORO_DESTROY = 19
    CORO_DONE = 20
    CORO_END = 21
    CORO_FRAME = 22
    CORO_FREE = 23
    CORO_ID = 24
    CORO_ID_RETCON = 25
    CORO_ID_RETCON_ONCE = 26
    CORO_NOOP = 27
    CORO_PARAM = 28
    CORO_PREPARE_RETCON = 29
    CORO_PROMISE = 30
    CORO_RESUME = 31
    CORO_SAVE = 32
    CORO_SIZE = 33
    CORO_SUBFN_ADDR = 34
    CORO_SUSPEND = 35
    CORO_SUSPEND_RETCON = 36
    COS = 37
    CTLZ = 38
    CTPOP = 39
    CTTZ = 40
    DBG_ADDR = 41
    DBG_DECLARE = 42
    DBG_LABEL = 43
    DBG_VALUE = 44
    DEBUGTRAP = 45
    DONOTHING = 46
    EH_DWARF_CFA = 47
    EH_EXCEPTIONCODE = 48
    EH_EXCEPTIONPOINTER = 49
    EH_RECOVERFP = 50
    EH_RETURN_I32 = 51
    EH_RETURN_I64 = 52
    EH_SJLJ_CALLSITE = 53
    EH_SJLJ_FUNCTIONCONTEXT = 54
    EH_SJLJ_LONGJMP = 55
    EH_SJLJ_LSDA = 56
    EH_SJLJ_SETJMP = 57
    EH_SJLJ_SETUP_DISPATCH = 58
    EH_TYPEID_FOR = 59
    EH_UNWIND_INIT = 60
    EXP = 61
    EXP2 = 62
    EXPECT = 63
    EXPERIMENTAL_CONSTRAINED_CEIL = 64
    EXPERIMENTAL_CONSTRAINED_COS = 65
    EXPERIMENTAL_CONSTRAINED_EXP = 66
    EXPERIMENTAL_CONSTRAINED_EXP2 = 67
    EXPERIMENTAL_CONSTRAINED_FADD = 68
    EXPERIMENTAL_CONSTRAINED_FCMP = 69
    EXPERIMENTAL_CONSTRAINED_FCMPS = 70
    EXPERIMENTAL_CONSTRAINED_FDIV = 71
    EXPERIMENTAL_CONSTRAINED_FLOOR = 72
    EXPERIMENTAL_CONSTRAINED_FMA = 73
    EXPERIMENTAL_CONSTRAINED_FMUL = 74
    EXPERIMENTAL_CONSTRAINED_FPEXT = 75
    EXPERIMENTAL_CONSTRAINED_FPTOSI = 76
    EXPERIMENTAL_CONSTRAINED_FPTOUI = 77
    EXPERIMENTAL_CONSTRAINED_FPTRUNC = 78
    EXPERIMENTAL_CONSTRAINED_FREM = 79
    EXPERIMENTAL_CONSTRAINED_FSUB = 80
    EXPERIMENTAL_CONSTRAINED_LLRINT = 81
    EXPERIMENTAL_CONSTRAINED_LLROUND = 82
    EXPERIMENTAL_CONSTRAINED_LOG = 83
    EXPERIMENTAL_CONSTRAINED_LOG10 = 84
    EXPERIMENTAL_CONSTRAINED_LOG2 = 85
    EXPERIMENTAL_CONSTRAINED_LRINT = 86
    EXPERIMENTAL_CONSTRAINED_LROUND = 87
    EXPERIMENTAL_CONSTRAINED_MAXIMUM = 88
    EXPERIMENTAL_CONSTRAINED_MAXNUM = 89
    EXPERIMENTAL_CONSTRAINED_MINIMUM = 90
    EXPERIMENTAL_CONSTRAINED_MINNUM = 91
    EXPERIMENTAL_CONSTRAINED_NEARBYINT = 92
    EXPERIMENTAL_CONSTRAINED_POW = 93
    EXPERIMENTAL_CONSTRAINED_POWI = 94
    EXPERIMENTAL_CONSTRAINED_RINT = 95
    EXPERIMENTAL_CONSTRAINED_ROUND = 96
    EXPERIMENTAL_CONSTRAINED_SIN = 97
    EXPERIMENTAL_CONSTRAINED_SITOFP = 98
    EXPERIMENTAL_CONSTRAINED_SQRT = 99
    EXPERIMENTAL_CONSTRAINED_TRUNC = 100
    EXPERIMENTAL_CONSTRAINED_UITOFP = 101
    EXPERIMENTAL_DEOPTIMIZE = 102
    EXPERIMENTAL_GC_RELOCATE = 103
    EXPERIMENTAL_GC_RESULT = 104
    EXPERIMENTAL_GC_STATEPOINT = 105
    EXPERIMENTAL_GUARD = 106
    EXPERIMENTAL_PATCHPOINT_I64 = 107
    EXPERIMENTAL_PATCHPOINT_VOID = 108
    EXPERIMENTAL_STACKMAP = 109
    EXPERIMENTAL_VECTOR_REDUCE_ADD = 110
    EXPERIMENTAL_VECTOR_REDUCE_AND = 111
    EXPERIMENTAL_VECTOR_REDUCE_FMAX = 112
    EXPERIMENTAL_VECTOR_REDUCE_FMIN = 113
    EXPERIMENTAL_VECTOR_REDUCE_MUL = 114
    EXPERIMENTAL_VECTOR_REDUCE_OR = 115
    EXPERIMENTAL_VECTOR_REDUCE_SMAX = 116
    EXPERIMENTAL_VECTOR_REDUCE_SMIN = 117
    EXPERIMENTAL_VECTOR_REDUCE_UMAX = 118
    EXPERIMENTAL_VECTOR_REDUCE_UMIN = 119
    EXPERIMENTAL_VECTOR_REDUCE_V2_FADD = 120
    EXPERIMENTAL_VECTOR_REDUCE_V2_FMUL = 121
    EXPERIMENTAL_VECTOR_REDUCE_XOR = 122
    EXPERIMENTAL_WIDENABLE_CONDITION = 123
    FABS = 124
    FLOOR = 125
    FLT_ROUNDS = 126
    FMA = 127
    FMULADD = 128
    FRAMEADDRESS = 129
    FSHL = 130
    FSHR = 131
    GCREAD = 132
    GCROOT = 133
    GCWRITE = 134
    GET_DYNAMIC_AREA_OFFSET = 135
    HWASAN_CHECK_MEMACCESS = 136
    HWASAN_CHECK_MEMACCESS_SHORTGRANULES = 137
    ICALL_BRANCH_FUNNEL = 138
    INIT_TRAMPOLINE = 139
    INSTRPROF_INCREMENT = 140
    INSTRPROF_INCREMENT_STEP = 141
    INSTRPROF_VALUE_PROFILE = 142
    INVARIANT_END = 143
    INVARIANT_START = 144
    IS_CONSTANT = 145
    LAUNDER_INVARIANT_GROUP = 146
    LIFETIME_END = 147
    LIFETIME_START = 148
    LLRINT = 149
    LLROUND = 150
    LOAD_RELATIVE = 151
    LOCALADDRESS = 152
    LOCALESCAPE = 153
    LOCALRECOVER = 154
    LOG = 155
    LOG10 = 156
    LOG2 = 157
    LOOP_DECREMENT = 158
    LOOP_DECREMENT_REG = 159
    LRINT = 160
    LROUND = 161
    MASKED_COMPRESSSTORE = 162
    MASKED_EXPANDLOAD = 163
    MASKED_GATHER = 164
    MASKED_LOAD = 165
    MASKED_SCATTER = 166
    MASKED_STORE = 167
    MATRIX_COLUMNWISE_LOAD = 168
    MATRIX_COLUMNWISE_STORE = 169
    MATRIX_MULTIPLY = 170
    MATRIX_TRANSPOSE = 171
    MAXIMUM = 172
    MAXNUM = 173
    MEMCPY = 174
    MEMCPY_ELEMENT_UNORDERED_ATOMIC = 175
    MEMMOVE = 176
    MEMMOVE_ELEMENT_UNORDERED_ATOMIC = 177
    MEMSET = 178
    MEMSET_ELEMENT_UNORDERED_ATOMIC = 179
    MINIMUM = 180
    MINNUM = 181
    NEARBYINT = 182
    OBJC_ARC_ANNOTATION_BOTTOMUP_BBEND = 183
    OBJC_ARC_ANNOTATION_BOTTOMUP_BBSTART = 184
    OBJC_ARC_ANNOTATION_TOPDOWN_BBEND = 185
    OBJC_ARC_ANNOTATION_TOPDOWN_BBSTART = 186
    OBJC_AUTORELEASE = 187
    OBJC_AUTORELEASEPOOLPOP = 188
    OBJC_AUTORELEASEPOOLPUSH = 189
    OBJC_AUTORELEASERETURNVALUE = 190
    OBJC_CLANG_ARC_USE = 191
    OBJC_COPYWEAK = 192
    OBJC_DESTROYWEAK = 193
    OBJC_INITWEAK = 194
    OBJC_LOADWEAK = 195
    OBJC_LOADWEAKRETAINED = 196
    OBJC_MOVEWEAK = 197
    OBJC_RELEASE = 198
    OBJC_RETAIN = 199
    OBJC_RETAIN_AUTORELEASE = 200
    OBJC_RETAINAUTORELEASE = 201
    OBJC_RETAINAUTORELEASERETURNVALUE = 202
    OBJC_RETAINAUTORELEASEDRETURNVALUE = 203
    OBJC_RETAINBLOCK = 204
    OBJC_RETAINEDOBJECT = 205
    OBJC_STORESTRONG = 206
    OBJC_STOREWEAK = 207
    OBJC_SYNC_ENTER = 208
    OBJC_SYNC_EXIT = 209
    OBJC_UNRETAINEDOBJECT = 210
    OBJC_UNRETAINEDPOINTER = 211
    OBJC_UNSAFECLAIMAUTORELEASEDRETURNVALUE = 212
    OBJECTSIZE = 213
    PCMARKER = 214
    POW = 215
    POWI = 216
    PREFETCH = 217
    PRESERVE_ARRAY_ACCESS_INDEX = 218
    PRESERVE_STRUCT_ACCESS_INDEX = 219
    PRESERVE_UNION_ACCESS_INDEX = 220
    PTR_ANNOTATION = 221
    PTRMASK = 222
    READ_REGISTER = 223
    READCYCLECOUNTER = 224
    RETURNADDRESS = 225
    RINT = 226
    ROUND = 227
    SADD_SAT = 228
    SADD_WITH_OVERFLOW = 229
    SDIV_FIX = 230
    SET_LOOP_ITERATIONS = 231
    SIDEEFFECT = 232
    SIN = 233
    SMUL_FIX = 234
    SMUL_FIX_SAT = 235
    SMUL_WITH_OVERFLOW = 236
    SPONENTRY = 237
    SQRT = 238
    SSA_COPY = 239
    SSUB_SAT = 240
    SSUB_WITH_OVERFLOW = 241
    STACKGUARD = 242
    STACKPROTECTOR = 243
    STACKRESTORE = 244
    STACKSAVE = 245
    STRIP_INVARIANT_GROUP = 246
    TEST_SET_LOOP_ITERATIONS = 247
    THREAD_POINTER = 248
    TRAP = 249
    TRUNC = 250
    TYPE_CHECKED_LOAD = 251
    TYPE_TEST = 252
    UADD_SAT = 253
    UADD_WITH_OVERFLOW = 254
    UDIV_FIX = 255
    UMUL_FIX = 256
    UMUL_FIX_SAT = 257
    UMUL_WITH_OVERFLOW = 258
    USUB_SAT = 259
    USUB_WITH_OVERFLOW = 260
    VA_COPY = 261
    VA_END = 262
    VA_START = 263
    VAR_ANNOTATION = 264
    WRITE_REGISTER = 265
    XRAY_CUSTOMEVENT = 266
    XRAY_TYPEDEVENT = 267
    BPF_LOAD_BYTE = 1864
    BPF_LOAD_HALF = 1865
    BPF_LOAD_WORD = 1866
    BPF_PRESERVE_FIELD_INFO = 1867
    BPF_PSEUDO = 1868
    RISCV_MASKED_ATOMICRMW_ADD_I32 = 6040
    RISCV_MASKED_ATOMICRMW_ADD_I64 = 6041
    RISCV_MASKED_ATOMICRMW_MAX_I32 = 6042
    RISCV_MASKED_ATOMICRMW_MAX_I64 = 6043
    RISCV_MASKED_ATOMICRMW_MIN_I32 = 6044
    RISCV_MASKED_ATOMICRMW_MIN_I64 = 6045
    RISCV_MASKED_ATOMICRMW_NAND_I32 = 6046
    RISCV_MASKED_ATOMICRMW_NAND_I64 = 6047
    RISCV_MASKED_ATOMICRMW_SUB_I32 = 6048
    RISCV_MASKED_ATOMICRMW_SUB_I64 = 6049
    RISCV_MASKED_ATOMICRMW_UMAX_I32 = 6050
    RISCV_MASKED_ATOMICRMW_UMAX_I64 = 6051
    RISCV_MASKED_ATOMICRMW_UMIN_I32 = 6052
    RISCV_MASKED_ATOMICRMW_UMIN_I64 = 6053
    RISCV_MASKED_ATOMICRMW_XCHG_I32 = 6054
    RISCV_MASKED_ATOMICRMW_XCHG_I64 = 6055
    RISCV_MASKED_CMPXCHG_I32 = 6056
    RISCV_MASKED_CMPXCHG_I64 = 6057
    WASM_ALLTRUE = 6286
    WASM_ANYTRUE = 6287
    WASM_ATOMIC_NOTIFY = 6288
    WASM_ATOMIC_WAIT_I32 = 6289
    WASM_ATOMIC_WAIT_I64 = 6290
    WASM_AVGR_UNSIGNED = 6291
    WASM_BITSELECT = 6292
    WASM_DATA_DROP = 6293
    WASM_DOT = 6294
    WASM_EXTRACT_EXCEPTION = 6295
    WASM_GET_EHSELECTOR = 6296
    WASM_GET_EXCEPTION = 6297
    WASM_LANDINGPAD_INDEX = 6298
    WASM_LSDA = 6299
    WASM_MEMORY_GROW = 6300
    WASM_MEMORY_INIT = 6301
    WASM_MEMORY_SIZE = 6302
    WASM_NARROW_SIGNED = 6303
    WASM_NARROW_UNSIGNED = 6304
    WASM_QFMA = 6305
    WASM_QFMS = 6306
    WASM_RETHROW_IN_CATCH = 6307
    WASM_SUB_SATURATE_SIGNED = 6308
    WASM_SUB_SATURATE_UNSIGNED = 6309
    WASM_SWIZZLE = 6310
    WASM_THROW = 6311
    WASM_TLS_ALIGN = 6312
    WASM_TLS_BASE = 6313
    WASM_TLS_SIZE = 6314
    WASM_TRUNC_SATURATE_SIGNED = 6315
    WASM_TRUNC_SATURATE_UNSIGNED = 6316
    WASM_TRUNC_SIGNED = 6317
    WASM_TRUNC_UNSIGNED = 6318
    WASM_WIDEN_HIGH_SIGNED = 6319
    WASM_WIDEN_HIGH_UNSIGNED = 6320
    WASM_WIDEN_LOW_SIGNED = 6321
    WASM_WIDEN_LOW_UNSIGNED = 6322
    X86_3DNOW_PAVGUSB = 6323
    X86_3DNOW_PF2ID = 6324
    X86_3DNOW_PFACC = 6325
    X86_3DNOW_PFADD = 6326
    X86_3DNOW_PFCMPEQ = 6327
    X86_3DNOW_PFCMPGE = 6328
    X86_3DNOW_PFCMPGT = 6329
    X86_3DNOW_PFMAX = 6330
    X86_3DNOW_PFMIN = 6331
    X86_3DNOW_PFMUL = 6332
    X86_3DNOW_PFRCP = 6333
    X86_3DNOW_PFRCPIT1 = 6334
    X86_3DNOW_PFRCPIT2 = 6335
    X86_3DNOW_PFRSQIT1 = 6336
    X86_3DNOW_PFRSQRT = 6337
    X86_3DNOW_PFSUB = 6338
    X86_3DNOW_PFSUBR = 6339
    X86_3DNOW_PI2FD = 6340
    X86_3DNOW_PMULHRW = 6341
    X86_3DNOWA_PF2IW = 6342
    X86_3DNOWA_PFNACC = 6343
    X86_3DNOWA_PFPNACC = 6344
    X86_3DNOWA_PI2FW = 6345
    X86_3DNOWA_PSWAPD = 6346
    X86_ADDCARRY_32 = 6347
    X86_ADDCARRY_64 = 6348
    X86_AESNI_AESDEC = 6349
    X86_AESNI_AESDEC_256 = 6350
    X86_AESNI_AESDEC_512 = 6351
    X86_AESNI_AESDECLAST = 6352
    X86_AESNI_AESDECLAST_256 = 6353
    X86_AESNI_AESDECLAST_512 = 6354
    X86_AESNI_AESENC = 6355
    X86_AESNI_AESENC_256 = 6356
    X86_AESNI_AESENC_512 = 6357
    X86_AESNI_AESENCLAST = 6358
    X86_AESNI_AESENCLAST_256 = 6359
    X86_AESNI_AESENCLAST_512 = 6360
    X86_AESNI_AESIMC = 6361
    X86_AESNI_AESKEYGENASSIST = 6362
    X86_AVX_ADDSUB_PD_256 = 6363
    X86_AVX_ADDSUB_PS_256 = 6364
    X86_AVX_BLENDV_PD_256 = 6365
    X86_AVX_BLENDV_PS_256 = 6366
    X86_AVX_CMP_PD_256 = 6367
    X86_AVX_CMP_PS_256 = 6368
    X86_AVX_CVT_PD2_PS_256 = 6369
    X86_AVX_CVT_PD2DQ_256 = 6370
    X86_AVX_CVT_PS2DQ_256 = 6371
    X86_AVX_CVTT_PD2DQ_256 = 6372
    X86_AVX_CVTT_PS2DQ_256 = 6373
    X86_AVX_DP_PS_256 = 6374
    X86_AVX_HADD_PD_256 = 6375
    X86_AVX_HADD_PS_256 = 6376
    X86_AVX_HSUB_PD_256 = 6377
    X86_AVX_HSUB_PS_256 = 6378
    X86_AVX_LDU_DQ_256 = 6379
    X86_AVX_MASKLOAD_PD = 6380
    X86_AVX_MASKLOAD_PD_256 = 6381
    X86_AVX_MASKLOAD_PS = 6382
    X86_AVX_MASKLOAD_PS_256 = 6383
    X86_AVX_MASKSTORE_PD = 6384
    X86_AVX_MASKSTORE_PD_256 = 6385
    X86_AVX_MASKSTORE_PS = 6386
    X86_AVX_MASKSTORE_PS_256 = 6387
    X86_AVX_MAX_PD_256 = 6388
    X86_AVX_MAX_PS_256 = 6389
    X86_AVX_MIN_PD_256 = 6390
    X86_AVX_MIN_PS_256 = 6391
    X86_AVX_MOVMSK_PD_256 = 6392
    X86_AVX_MOVMSK_PS_256 = 6393
    X86_AVX_PTESTC_256 = 6394
    X86_AVX_PTESTNZC_256 = 6395
    X86_AVX_PTESTZ_256 = 6396
    X86_AVX_RCP_PS_256 = 6397
    X86_AVX_ROUND_PD_256 = 6398
    X86_AVX_ROUND_PS_256 = 6399
    X86_AVX_RSQRT_PS_256 = 6400
    X86_AVX_VPERMILVAR_PD = 6401
    X86_AVX_VPERMILVAR_PD_256 = 6402
    X86_AVX_VPERMILVAR_PS = 6403
    X86_AVX_VPERMILVAR_PS_256 = 6404
    X86_AVX_VTESTC_PD = 6405
    X86_AVX_VTESTC_PD_256 = 6406
    X86_AVX_VTESTC_PS = 6407
    X86_AVX_VTESTC_PS_256 = 6408
    X86_AVX_VTESTNZC_PD = 6409
    X86_AVX_VTESTNZC_PD_256 = 6410
    X86_AVX_VTESTNZC_PS = 6411
    X86_AVX_VTESTNZC_PS_256 = 6412
    X86_AVX_VTESTZ_PD = 6413
    X86_AVX_VTESTZ_PD_256 = 6414
    X86_AVX_VTESTZ_PS = 6415
    X86_AVX_VTESTZ_PS_256 = 6416
    X86_AVX_VZEROALL = 6417
    X86_AVX_VZEROUPPER = 6418
    X86_AVX2_GATHER_D_D = 6419
    X86_AVX2_GATHER_D_D_256 = 6420
    X86_AVX2_GATHER_D_PD = 6421
    X86_AVX2_GATHER_D_PD_256 = 6422
    X86_AVX2_GATHER_D_PS = 6423
    X86_AVX2_GATHER_D_PS_256 = 6424
    X86_AVX2_GATHER_D_Q = 6425
    X86_AVX2_GATHER_D_Q_256 = 6426
    X86_AVX2_GATHER_Q_D = 6427
    X86_AVX2_GATHER_Q_D_256 = 6428
    X86_AVX2_GATHER_Q_PD = 6429
    X86_AVX2_GATHER_Q_PD_256 = 6430
    X86_AVX2_GATHER_Q_PS = 6431
    X86_AVX2_GATHER_Q_PS_256 = 6432
    X86_AVX2_GATHER_Q_Q = 6433
    X86_AVX2_GATHER_Q_Q_256 = 6434
    X86_AVX2_MASKLOAD_D = 6435
    X86_AVX2_MASKLOAD_D_256 = 6436
    X86_AVX2_MASKLOAD_Q = 6437
    X86_AVX2_MASKLOAD_Q_256 = 6438
    X86_AVX2_MASKSTORE_D = 6439
    X86_AVX2_MASKSTORE_D_256 = 6440
    X86_AVX2_MASKSTORE_Q = 6441
    X86_AVX2_MASKSTORE_Q_256 = 6442
    X86_AVX2_MPSADBW = 6443
    X86_AVX2_PACKSSDW = 6444
    X86_AVX2_PACKSSWB = 6445
    X86_AVX2_PACKUSDW = 6446
    X86_AVX2_PACKUSWB = 6447
    X86_AVX2_PAVG_B = 6448
    X86_AVX2_PAVG_W = 6449
    X86_AVX2_PBLENDVB = 6450
    X86_AVX2_PERMD = 6451
    X86_AVX2_PERMPS = 6452
    X86_AVX2_PHADD_D = 6453
    X86_AVX2_PHADD_SW = 6454
    X86_AVX2_PHADD_W = 6455
    X86_AVX2_PHSUB_D = 6456
    X86_AVX2_PHSUB_SW = 6457
    X86_AVX2_PHSUB_W = 6458
    X86_AVX2_PMADD_UB_SW = 6459
    X86_AVX2_PMADD_WD = 6460
    X86_AVX2_PMOVMSKB = 6461
    X86_AVX2_PMUL_HR_SW = 6462
    X86_AVX2_PMULH_W = 6463
    X86_AVX2_PMULHU_W = 6464
    X86_AVX2_PSAD_BW = 6465
    X86_AVX2_PSHUF_B = 6466
    X86_AVX2_PSIGN_B = 6467
    X86_AVX2_PSIGN_D = 6468
    X86_AVX2_PSIGN_W = 6469
    X86_AVX2_PSLL_D = 6470
    X86_AVX2_PSLL_Q = 6471
    X86_AVX2_PSLL_W = 6472
    X86_AVX2_PSLLI_D = 6473
    X86_AVX2_PSLLI_Q = 6474
    X86_AVX2_PSLLI_W = 6475
    X86_AVX2_PSLLV_D = 6476
    X86_AVX2_PSLLV_D_256 = 6477
    X86_AVX2_PSLLV_Q = 6478
    X86_AVX2_PSLLV_Q_256 = 6479
    X86_AVX2_PSRA_D = 6480
    X86_AVX2_PSRA_W = 6481
    X86_AVX2_PSRAI_D = 6482
    X86_AVX2_PSRAI_W = 6483
    X86_AVX2_PSRAV_D = 6484
    X86_AVX2_PSRAV_D_256 = 6485
    X86_AVX2_PSRL_D = 6486
    X86_AVX2_PSRL_Q = 6487
    X86_AVX2_PSRL_W = 6488
    X86_AVX2_PSRLI_D = 6489
    X86_AVX2_PSRLI_Q = 6490
    X86_AVX2_PSRLI_W = 6491
    X86_AVX2_PSRLV_D = 6492
    X86_AVX2_PSRLV_D_256 = 6493
    X86_AVX2_PSRLV_Q = 6494
    X86_AVX2_PSRLV_Q_256 = 6495
    X86_AVX512_ADD_PD_512 = 6496
    X86_AVX512_ADD_PS_512 = 6497
    X86_AVX512_BROADCASTMB_128 = 6498
    X86_AVX512_BROADCASTMB_256 = 6499
    X86_AVX512_BROADCASTMB_512 = 6500
    X86_AVX512_BROADCASTMW_128 = 6501
    X86_AVX512_BROADCASTMW_256 = 6502
    X86_AVX512_BROADCASTMW_512 = 6503
    X86_AVX512_CMP_PD_128 = 6504
    X86_AVX512_CMP_PD_256 = 6505
    X86_AVX512_CMP_PD_512 = 6506
    X86_AVX512_CMP_PS_128 = 6507
    X86_AVX512_CMP_PS_256 = 6508
    X86_AVX512_CMP_PS_512 = 6509
    X86_AVX512_CONFLICT_D_128 = 6510
    X86_AVX512_CONFLICT_D_256 = 6511
    X86_AVX512_CONFLICT_D_512 = 6512
    X86_AVX512_CONFLICT_Q_128 = 6513
    X86_AVX512_CONFLICT_Q_256 = 6514
    X86_AVX512_CONFLICT_Q_512 = 6515
    X86_AVX512_CVTSI2SD64 = 6516
    X86_AVX512_CVTSI2SS32 = 6517
    X86_AVX512_CVTSI2SS64 = 6518
    X86_AVX512_CVTTSD2SI = 6519
    X86_AVX512_CVTTSD2SI64 = 6520
    X86_AVX512_CVTTSD2USI = 6521
    X86_AVX512_CVTTSD2USI64 = 6522
    X86_AVX512_CVTTSS2SI = 6523
    X86_AVX512_CVTTSS2SI64 = 6524
    X86_AVX512_CVTTSS2USI = 6525
    X86_AVX512_CVTTSS2USI64 = 6526
    X86_AVX512_CVTUSI2SS = 6527
    X86_AVX512_CVTUSI642SD = 6528
    X86_AVX512_CVTUSI642SS = 6529
    X86_AVX512_DBPSADBW_128 = 6530
    X86_AVX512_DBPSADBW_256 = 6531
    X86_AVX512_DBPSADBW_512 = 6532
    X86_AVX512_DIV_PD_512 = 6533
    X86_AVX512_DIV_PS_512 = 6534
    X86_AVX512_EXP2_PD = 6535
    X86_AVX512_EXP2_PS = 6536
    X86_AVX512_FPCLASS_PD_128 = 6537
    X86_AVX512_FPCLASS_PD_256 = 6538
    X86_AVX512_FPCLASS_PD_512 = 6539
    X86_AVX512_FPCLASS_PS_128 = 6540
    X86_AVX512_FPCLASS_PS_256 = 6541
    X86_AVX512_FPCLASS_PS_512 = 6542
    X86_AVX512_GATHER_DPD_512 = 6543
    X86_AVX512_GATHER_DPI_512 = 6544
    X86_AVX512_GATHER_DPQ_512 = 6545
    X86_AVX512_GATHER_DPS_512 = 6546
    X86_AVX512_GATHER_QPD_512 = 6547
    X86_AVX512_GATHER_QPI_512 = 6548
    X86_AVX512_GATHER_QPQ_512 = 6549
    X86_AVX512_GATHER_QPS_512 = 6550
    X86_AVX512_GATHER3DIV2_DF = 6551
    X86_AVX512_GATHER3DIV2_DI = 6552
    X86_AVX512_GATHER3DIV4_DF = 6553
    X86_AVX512_GATHER3DIV4_DI = 6554
    X86_AVX512_GATHER3DIV4_SF = 6555
    X86_AVX512_GATHER3DIV4_SI = 6556
    X86_AVX512_GATHER3DIV8_SF = 6557
    X86_AVX512_GATHER3DIV8_SI = 6558
    X86_AVX512_GATHER3SIV2_DF = 6559
    X86_AVX512_GATHER3SIV2_DI = 6560
    X86_AVX512_GATHER3SIV4_DF = 6561
    X86_AVX512_GATHER3SIV4_DI = 6562
    X86_AVX512_GATHER3SIV4_SF = 6563
    X86_AVX512_GATHER3SIV4_SI = 6564
    X86_AVX512_GATHER3SIV8_SF = 6565
    X86_AVX512_GATHER3SIV8_SI = 6566
    X86_AVX512_GATHERPF_DPD_512 = 6567
    X86_AVX512_GATHERPF_DPS_512 = 6568
    X86_AVX512_GATHERPF_QPD_512 = 6569
    X86_AVX512_GATHERPF_QPS_512 = 6570
    X86_AVX512_KADD_B = 6571
    X86_AVX512_KADD_D = 6572
    X86_AVX512_KADD_Q = 6573
    X86_AVX512_KADD_W = 6574
    X86_AVX512_KTESTC_B = 6575
    X86_AVX512_KTESTC_D = 6576
    X86_AVX512_KTESTC_Q = 6577
    X86_AVX512_KTESTC_W = 6578
    X86_AVX512_KTESTZ_B = 6579
    X86_AVX512_KTESTZ_D = 6580
    X86_AVX512_KTESTZ_Q = 6581
    X86_AVX512_KTESTZ_W = 6582
    X86_AVX512_MASK_ADD_SD_ROUND = 6583
    X86_AVX512_MASK_ADD_SS_ROUND = 6584
    X86_AVX512_MASK_CMP_SD = 6585
    X86_AVX512_MASK_CMP_SS = 6586
    X86_AVX512_MASK_COMPRESS = 6587
    X86_AVX512_MASK_CVTPD2DQ_128 = 6588
    X86_AVX512_MASK_CVTPD2DQ_512 = 6589
    X86_AVX512_MASK_CVTPD2PS = 6590
    X86_AVX512_MASK_CVTPD2PS_512 = 6591
    X86_AVX512_MASK_CVTPD2QQ_128 = 6592
    X86_AVX512_MASK_CVTPD2QQ_256 = 6593
    X86_AVX512_MASK_CVTPD2QQ_512 = 6594
    X86_AVX512_MASK_CVTPD2UDQ_128 = 6595
    X86_AVX512_MASK_CVTPD2UDQ_256 = 6596
    X86_AVX512_MASK_CVTPD2UDQ_512 = 6597
    X86_AVX512_MASK_CVTPD2UQQ_128 = 6598
    X86_AVX512_MASK_CVTPD2UQQ_256 = 6599
    X86_AVX512_MASK_CVTPD2UQQ_512 = 6600
    X86_AVX512_MASK_CVTPS2DQ_128 = 6601
    X86_AVX512_MASK_CVTPS2DQ_256 = 6602
    X86_AVX512_MASK_CVTPS2DQ_512 = 6603
    X86_AVX512_MASK_CVTPS2PD_512 = 6604
    X86_AVX512_MASK_CVTPS2QQ_128 = 6605
    X86_AVX512_MASK_CVTPS2QQ_256 = 6606
    X86_AVX512_MASK_CVTPS2QQ_512 = 6607
    X86_AVX512_MASK_CVTPS2UDQ_128 = 6608
    X86_AVX512_MASK_CVTPS2UDQ_256 = 6609
    X86_AVX512_MASK_CVTPS2UDQ_512 = 6610
    X86_AVX512_MASK_CVTPS2UQQ_128 = 6611
    X86_AVX512_MASK_CVTPS2UQQ_256 = 6612
    X86_AVX512_MASK_CVTPS2UQQ_512 = 6613
    X86_AVX512_MASK_CVTQQ2PS_128 = 6614
    X86_AVX512_MASK_CVTSD2SS_ROUND = 6615
    X86_AVX512_MASK_CVTSS2SD_ROUND = 6616
    X86_AVX512_MASK_CVTTPD2DQ_128 = 6617
    X86_AVX512_MASK_CVTTPD2DQ_512 = 6618
    X86_AVX512_MASK_CVTTPD2QQ_128 = 6619
    X86_AVX512_MASK_CVTTPD2QQ_256 = 6620
    X86_AVX512_MASK_CVTTPD2QQ_512 = 6621
    X86_AVX512_MASK_CVTTPD2UDQ_128 = 6622
    X86_AVX512_MASK_CVTTPD2UDQ_256 = 6623
    X86_AVX512_MASK_CVTTPD2UDQ_512 = 6624
    X86_AVX512_MASK_CVTTPD2UQQ_128 = 6625
    X86_AVX512_MASK_CVTTPD2UQQ_256 = 6626
    X86_AVX512_MASK_CVTTPD2UQQ_512 = 6627
    X86_AVX512_MASK_CVTTPS2DQ_512 = 6628
    X86_AVX512_MASK_CVTTPS2QQ_128 = 6629
    X86_AVX512_MASK_CVTTPS2QQ_256 = 6630
    X86_AVX512_MASK_CVTTPS2QQ_512 = 6631
    X86_AVX512_MASK_CVTTPS2UDQ_128 = 6632
    X86_AVX512_MASK_CVTTPS2UDQ_256 = 6633
    X86_AVX512_MASK_CVTTPS2UDQ_512 = 6634
    X86_AVX512_MASK_CVTTPS2UQQ_128 = 6635
    X86_AVX512_MASK_CVTTPS2UQQ_256 = 6636
    X86_AVX512_MASK_CVTTPS2UQQ_512 = 6637
    X86_AVX512_MASK_CVTUQQ2PS_128 = 6638
    X86_AVX512_MASK_DIV_SD_ROUND = 6639
    X86_AVX512_MASK_DIV_SS_ROUND = 6640
    X86_AVX512_MASK_EXPAND = 6641
    X86_AVX512_MASK_FIXUPIMM_PD_128 = 6642
    X86_AVX512_MASK_FIXUPIMM_PD_256 = 6643
    X86_AVX512_MASK_FIXUPIMM_PD_512 = 6644
    X86_AVX512_MASK_FIXUPIMM_PS_128 = 6645
    X86_AVX512_MASK_FIXUPIMM_PS_256 = 6646
    X86_AVX512_MASK_FIXUPIMM_PS_512 = 6647
    X86_AVX512_MASK_FIXUPIMM_SD = 6648
    X86_AVX512_MASK_FIXUPIMM_SS = 6649
    X86_AVX512_MASK_FPCLASS_SD = 6650
    X86_AVX512_MASK_FPCLASS_SS = 6651
    X86_AVX512_MASK_GATHER_DPD_512 = 6652
    X86_AVX512_MASK_GATHER_DPI_512 = 6653
    X86_AVX512_MASK_GATHER_DPQ_512 = 6654
    X86_AVX512_MASK_GATHER_DPS_512 = 6655
    X86_AVX512_MASK_GATHER_QPD_512 = 6656
    X86_AVX512_MASK_GATHER_QPI_512 = 6657
    X86_AVX512_MASK_GATHER_QPQ_512 = 6658
    X86_AVX512_MASK_GATHER_QPS_512 = 6659
    X86_AVX512_MASK_GATHER3DIV2_DF = 6660
    X86_AVX512_MASK_GATHER3DIV2_DI = 6661
    X86_AVX512_MASK_GATHER3DIV4_DF = 6662
    X86_AVX512_MASK_GATHER3DIV4_DI = 6663
    X86_AVX512_MASK_GATHER3DIV4_SF = 6664
    X86_AVX512_MASK_GATHER3DIV4_SI = 6665
    X86_AVX512_MASK_GATHER3DIV8_SF = 6666
    X86_AVX512_MASK_GATHER3DIV8_SI = 6667
    X86_AVX512_MASK_GATHER3SIV2_DF = 6668
    X86_AVX512_MASK_GATHER3SIV2_DI = 6669
    X86_AVX512_MASK_GATHER3SIV4_DF = 6670
    X86_AVX512_MASK_GATHER3SIV4_DI = 6671
    X86_AVX512_MASK_GATHER3SIV4_SF = 6672
    X86_AVX512_MASK_GATHER3SIV4_SI = 6673
    X86_AVX512_MASK_GATHER3SIV8_SF = 6674
    X86_AVX512_MASK_GATHER3SIV8_SI = 6675
    X86_AVX512_MASK_GETEXP_PD_128 = 6676
    X86_AVX512_MASK_GETEXP_PD_256 = 6677
    X86_AVX512_MASK_GETEXP_PD_512 = 6678
    X86_AVX512_MASK_GETEXP_PS_128 = 6679
    X86_AVX512_MASK_GETEXP_PS_256 = 6680
    X86_AVX512_MASK_GETEXP_PS_512 = 6681
    X86_AVX512_MASK_GETEXP_SD = 6682
    X86_AVX512_MASK_GETEXP_SS = 6683
    X86_AVX512_MASK_GETMANT_PD_128 = 6684
    X86_AVX512_MASK_GETMANT_PD_256 = 6685
    X86_AVX512_MASK_GETMANT_PD_512 = 6686
    X86_AVX512_MASK_GETMANT_PS_128 = 6687
    X86_AVX512_MASK_GETMANT_PS_256 = 6688
    X86_AVX512_MASK_GETMANT_PS_512 = 6689
    X86_AVX512_MASK_GETMANT_SD = 6690
    X86_AVX512_MASK_GETMANT_SS = 6691
    X86_AVX512_MASK_MAX_SD_ROUND = 6692
    X86_AVX512_MASK_MAX_SS_ROUND = 6693
    X86_AVX512_MASK_MIN_SD_ROUND = 6694
    X86_AVX512_MASK_MIN_SS_ROUND = 6695
    X86_AVX512_MASK_MUL_SD_ROUND = 6696
    X86_AVX512_MASK_MUL_SS_ROUND = 6697
    X86_AVX512_MASK_PMOV_DB_128 = 6698
    X86_AVX512_MASK_PMOV_DB_256 = 6699
    X86_AVX512_MASK_PMOV_DB_512 = 6700
    X86_AVX512_MASK_PMOV_DB_MEM_128 = 6701
    X86_AVX512_MASK_PMOV_DB_MEM_256 = 6702
    X86_AVX512_MASK_PMOV_DB_MEM_512 = 6703
    X86_AVX512_MASK_PMOV_DW_128 = 6704
    X86_AVX512_MASK_PMOV_DW_256 = 6705
    X86_AVX512_MASK_PMOV_DW_512 = 6706
    X86_AVX512_MASK_PMOV_DW_MEM_128 = 6707
    X86_AVX512_MASK_PMOV_DW_MEM_256 = 6708
    X86_AVX512_MASK_PMOV_DW_MEM_512 = 6709
    X86_AVX512_MASK_PMOV_QB_128 = 6710
    X86_AVX512_MASK_PMOV_QB_256 = 6711
    X86_AVX512_MASK_PMOV_QB_512 = 6712
    X86_AVX512_MASK_PMOV_QB_MEM_128 = 6713
    X86_AVX512_MASK_PMOV_QB_MEM_256 = 6714
    X86_AVX512_MASK_PMOV_QB_MEM_512 = 6715
    X86_AVX512_MASK_PMOV_QD_128 = 6716
    X86_AVX512_MASK_PMOV_QD_MEM_128 = 6717
    X86_AVX512_MASK_PMOV_QD_MEM_256 = 6718
    X86_AVX512_MASK_PMOV_QD_MEM_512 = 6719
    X86_AVX512_MASK_PMOV_QW_128 = 6720
    X86_AVX512_MASK_PMOV_QW_256 = 6721
    X86_AVX512_MASK_PMOV_QW_512 = 6722
    X86_AVX512_MASK_PMOV_QW_MEM_128 = 6723
    X86_AVX512_MASK_PMOV_QW_MEM_256 = 6724
    X86_AVX512_MASK_PMOV_QW_MEM_512 = 6725
    X86_AVX512_MASK_PMOV_WB_128 = 6726
    X86_AVX512_MASK_PMOV_WB_MEM_128 = 6727
    X86_AVX512_MASK_PMOV_WB_MEM_256 = 6728
    X86_AVX512_MASK_PMOV_WB_MEM_512 = 6729
    X86_AVX512_MASK_PMOVS_DB_128 = 6730
    X86_AVX512_MASK_PMOVS_DB_256 = 6731
    X86_AVX512_MASK_PMOVS_DB_512 = 6732
    X86_AVX512_MASK_PMOVS_DB_MEM_128 = 6733
    X86_AVX512_MASK_PMOVS_DB_MEM_256 = 6734
    X86_AVX512_MASK_PMOVS_DB_MEM_512 = 6735
    X86_AVX512_MASK_PMOVS_DW_128 = 6736
    X86_AVX512_MASK_PMOVS_DW_256 = 6737
    X86_AVX512_MASK_PMOVS_DW_512 = 6738
    X86_AVX512_MASK_PMOVS_DW_MEM_128 = 6739
    X86_AVX512_MASK_PMOVS_DW_MEM_256 = 6740
    X86_AVX512_MASK_PMOVS_DW_MEM_512 = 6741
    X86_AVX512_MASK_PMOVS_QB_128 = 6742
    X86_AVX512_MASK_PMOVS_QB_256 = 6743
    X86_AVX512_MASK_PMOVS_QB_512 = 6744
    X86_AVX512_MASK_PMOVS_QB_MEM_128 = 6745
    X86_AVX512_MASK_PMOVS_QB_MEM_256 = 6746
    X86_AVX512_MASK_PMOVS_QB_MEM_512 = 6747
    X86_AVX512_MASK_PMOVS_QD_128 = 6748
    X86_AVX512_MASK_PMOVS_QD_256 = 6749
    X86_AVX512_MASK_PMOVS_QD_512 = 6750
    X86_AVX512_MASK_PMOVS_QD_MEM_128 = 6751
    X86_AVX512_MASK_PMOVS_QD_MEM_256 = 6752
    X86_AVX512_MASK_PMOVS_QD_MEM_512 = 6753
    X86_AVX512_MASK_PMOVS_QW_128 = 6754
    X86_AVX512_MASK_PMOVS_QW_256 = 6755
    X86_AVX512_MASK_PMOVS_QW_512 = 6756
    X86_AVX512_MASK_PMOVS_QW_MEM_128 = 6757
    X86_AVX512_MASK_PMOVS_QW_MEM_256 = 6758
    X86_AVX512_MASK_PMOVS_QW_MEM_512 = 6759
    X86_AVX512_MASK_PMOVS_WB_128 = 6760
    X86_AVX512_MASK_PMOVS_WB_256 = 6761
    X86_AVX512_MASK_PMOVS_WB_512 = 6762
    X86_AVX512_MASK_PMOVS_WB_MEM_128 = 6763
    X86_AVX512_MASK_PMOVS_WB_MEM_256 = 6764
    X86_AVX512_MASK_PMOVS_WB_MEM_512 = 6765
    X86_AVX512_MASK_PMOVUS_DB_128 = 6766
    X86_AVX512_MASK_PMOVUS_DB_256 = 6767
    X86_AVX512_MASK_PMOVUS_DB_512 = 6768
    X86_AVX512_MASK_PMOVUS_DB_MEM_128 = 6769
    X86_AVX512_MASK_PMOVUS_DB_MEM_256 = 6770
    X86_AVX512_MASK_PMOVUS_DB_MEM_512 = 6771
    X86_AVX512_MASK_PMOVUS_DW_128 = 6772
    X86_AVX512_MASK_PMOVUS_DW_256 = 6773
    X86_AVX512_MASK_PMOVUS_DW_512 = 6774
    X86_AVX512_MASK_PMOVUS_DW_MEM_128 = 6775
    X86_AVX512_MASK_PMOVUS_DW_MEM_256 = 6776
    X86_AVX512_MASK_PMOVUS_DW_MEM_512 = 6777
    X86_AVX512_MASK_PMOVUS_QB_128 = 6778
    X86_AVX512_MASK_PMOVUS_QB_256 = 6779
    X86_AVX512_MASK_PMOVUS_QB_512 = 6780
    X86_AVX512_MASK_PMOVUS_QB_MEM_128 = 6781
    X86_AVX512_MASK_PMOVUS_QB_MEM_256 = 6782
    X86_AVX512_MASK_PMOVUS_QB_MEM_512 = 6783
    X86_AVX512_MASK_PMOVUS_QD_128 = 6784
    X86_AVX512_MASK_PMOVUS_QD_256 = 6785
    X86_AVX512_MASK_PMOVUS_QD_512 = 6786
    X86_AVX512_MASK_PMOVUS_QD_MEM_128 = 6787
    X86_AVX512_MASK_PMOVUS_QD_MEM_256 = 6788
    X86_AVX512_MASK_PMOVUS_QD_MEM_512 = 6789
    X86_AVX512_MASK_PMOVUS_QW_128 = 6790
    X86_AVX512_MASK_PMOVUS_QW_256 = 6791
    X86_AVX512_MASK_PMOVUS_QW_512 = 6792
    X86_AVX512_MASK_PMOVUS_QW_MEM_128 = 6793
    X86_AVX512_MASK_PMOVUS_QW_MEM_256 = 6794
    X86_AVX512_MASK_PMOVUS_QW_MEM_512 = 6795
    X86_AVX512_MASK_PMOVUS_WB_128 = 6796
    X86_AVX512_MASK_PMOVUS_WB_256 = 6797
    X86_AVX512_MASK_PMOVUS_WB_512 = 6798
    X86_AVX512_MASK_PMOVUS_WB_MEM_128 = 6799
    X86_AVX512_MASK_PMOVUS_WB_MEM_256 = 6800
    X86_AVX512_MASK_PMOVUS_WB_MEM_512 = 6801
    X86_AVX512_MASK_RANGE_PD_128 = 6802
    X86_AVX512_MASK_RANGE_PD_256 = 6803
    X86_AVX512_MASK_RANGE_PD_512 = 6804
    X86_AVX512_MASK_RANGE_PS_128 = 6805
    X86_AVX512_MASK_RANGE_PS_256 = 6806
    X86_AVX512_MASK_RANGE_PS_512 = 6807
    X86_AVX512_MASK_RANGE_SD = 6808
    X86_AVX512_MASK_RANGE_SS = 6809
    X86_AVX512_MASK_REDUCE_PD_128 = 6810
    X86_AVX512_MASK_REDUCE_PD_256 = 6811
    X86_AVX512_MASK_REDUCE_PD_512 = 6812
    X86_AVX512_MASK_REDUCE_PS_128 = 6813
    X86_AVX512_MASK_REDUCE_PS_256 = 6814
    X86_AVX512_MASK_REDUCE_PS_512 = 6815
    X86_AVX512_MASK_REDUCE_SD = 6816
    X86_AVX512_MASK_REDUCE_SS = 6817
    X86_AVX512_MASK_RNDSCALE_PD_128 = 6818
    X86_AVX512_MASK_RNDSCALE_PD_256 = 6819
    X86_AVX512_MASK_RNDSCALE_PD_512 = 6820
    X86_AVX512_MASK_RNDSCALE_PS_128 = 6821
    X86_AVX512_MASK_RNDSCALE_PS_256 = 6822
    X86_AVX512_MASK_RNDSCALE_PS_512 = 6823
    X86_AVX512_MASK_RNDSCALE_SD = 6824
    X86_AVX512_MASK_RNDSCALE_SS = 6825
    X86_AVX512_MASK_SCALEF_PD_128 = 6826
    X86_AVX512_MASK_SCALEF_PD_256 = 6827
    X86_AVX512_MASK_SCALEF_PD_512 = 6828
    X86_AVX512_MASK_SCALEF_PS_128 = 6829
    X86_AVX512_MASK_SCALEF_PS_256 = 6830
    X86_AVX512_MASK_SCALEF_PS_512 = 6831
    X86_AVX512_MASK_SCALEF_SD = 6832
    X86_AVX512_MASK_SCALEF_SS = 6833
    X86_AVX512_MASK_SCATTER_DPD_512 = 6834
    X86_AVX512_MASK_SCATTER_DPI_512 = 6835
    X86_AVX512_MASK_SCATTER_DPQ_512 = 6836
    X86_AVX512_MASK_SCATTER_DPS_512 = 6837
    X86_AVX512_MASK_SCATTER_QPD_512 = 6838
    X86_AVX512_MASK_SCATTER_QPI_512 = 6839
    X86_AVX512_MASK_SCATTER_QPQ_512 = 6840
    X86_AVX512_MASK_SCATTER_QPS_512 = 6841
    X86_AVX512_MASK_SCATTERDIV2_DF = 6842
    X86_AVX512_MASK_SCATTERDIV2_DI = 6843
    X86_AVX512_MASK_SCATTERDIV4_DF = 6844
    X86_AVX512_MASK_SCATTERDIV4_DI = 6845
    X86_AVX512_MASK_SCATTERDIV4_SF = 6846
    X86_AVX512_MASK_SCATTERDIV4_SI = 6847
    X86_AVX512_MASK_SCATTERDIV8_SF = 6848
    X86_AVX512_MASK_SCATTERDIV8_SI = 6849
    X86_AVX512_MASK_SCATTERSIV2_DF = 6850
    X86_AVX512_MASK_SCATTERSIV2_DI = 6851
    X86_AVX512_MASK_SCATTERSIV4_DF = 6852
    X86_AVX512_MASK_SCATTERSIV4_DI = 6853
    X86_AVX512_MASK_SCATTERSIV4_SF = 6854
    X86_AVX512_MASK_SCATTERSIV4_SI = 6855
    X86_AVX512_MASK_SCATTERSIV8_SF = 6856
    X86_AVX512_MASK_SCATTERSIV8_SI = 6857
    X86_AVX512_MASK_SQRT_SD = 6858
    X86_AVX512_MASK_SQRT_SS = 6859
    X86_AVX512_MASK_SUB_SD_ROUND = 6860
    X86_AVX512_MASK_SUB_SS_ROUND = 6861
    X86_AVX512_MASK_VCVTPH2PS_128 = 6862
    X86_AVX512_MASK_VCVTPH2PS_256 = 6863
    X86_AVX512_MASK_VCVTPH2PS_512 = 6864
    X86_AVX512_MASK_VCVTPS2PH_128 = 6865
    X86_AVX512_MASK_VCVTPS2PH_256 = 6866
    X86_AVX512_MASK_VCVTPS2PH_512 = 6867
    X86_AVX512_MASKZ_FIXUPIMM_PD_128 = 6868
    X86_AVX512_MASKZ_FIXUPIMM_PD_256 = 6869
    X86_AVX512_MASKZ_FIXUPIMM_PD_512 = 6870
    X86_AVX512_MASKZ_FIXUPIMM_PS_128 = 6871
    X86_AVX512_MASKZ_FIXUPIMM_PS_256 = 6872
    X86_AVX512_MASKZ_FIXUPIMM_PS_512 = 6873
    X86_AVX512_MASKZ_FIXUPIMM_SD = 6874
    X86_AVX512_MASKZ_FIXUPIMM_SS = 6875
    X86_AVX512_MAX_PD_512 = 6876
    X86_AVX512_MAX_PS_512 = 6877
    X86_AVX512_MIN_PD_512 = 6878
    X86_AVX512_MIN_PS_512 = 6879
    X86_AVX512_MUL_PD_512 = 6880
    X86_AVX512_MUL_PS_512 = 6881
    X86_AVX512_PACKSSDW_512 = 6882
    X86_AVX512_PACKSSWB_512 = 6883
    X86_AVX512_PACKUSDW_512 = 6884
    X86_AVX512_PACKUSWB_512 = 6885
    X86_AVX512_PAVG_B_512 = 6886
    X86_AVX512_PAVG_W_512 = 6887
    X86_AVX512_PERMVAR_DF_256 = 6888
    X86_AVX512_PERMVAR_DF_512 = 6889
    X86_AVX512_PERMVAR_DI_256 = 6890
    X86_AVX512_PERMVAR_DI_512 = 6891
    X86_AVX512_PERMVAR_HI_128 = 6892
    X86_AVX512_PERMVAR_HI_256 = 6893
    X86_AVX512_PERMVAR_HI_512 = 6894
    X86_AVX512_PERMVAR_QI_128 = 6895
    X86_AVX512_PERMVAR_QI_256 = 6896
    X86_AVX512_PERMVAR_QI_512 = 6897
    X86_AVX512_PERMVAR_SF_512 = 6898
    X86_AVX512_PERMVAR_SI_512 = 6899
    X86_AVX512_PMADDUBS_W_512 = 6900
    X86_AVX512_PMADDW_D_512 = 6901
    X86_AVX512_PMUL_HR_SW_512 = 6902
    X86_AVX512_PMULH_W_512 = 6903
    X86_AVX512_PMULHU_W_512 = 6904
    X86_AVX512_PMULTISHIFT_QB_128 = 6905
    X86_AVX512_PMULTISHIFT_QB_256 = 6906
    X86_AVX512_PMULTISHIFT_QB_512 = 6907
    X86_AVX512_PSAD_BW_512 = 6908
    X86_AVX512_PSHUF_B_512 = 6909
    X86_AVX512_PSLL_D_512 = 6910
    X86_AVX512_PSLL_Q_512 = 6911
    X86_AVX512_PSLL_W_512 = 6912
    X86_AVX512_PSLLI_D_512 = 6913
    X86_AVX512_PSLLI_Q_512 = 6914
    X86_AVX512_PSLLI_W_512 = 6915
    X86_AVX512_PSLLV_D_512 = 6916
    X86_AVX512_PSLLV_Q_512 = 6917
    X86_AVX512_PSLLV_W_128 = 6918
    X86_AVX512_PSLLV_W_256 = 6919
    X86_AVX512_PSLLV_W_512 = 6920
    X86_AVX512_PSRA_D_512 = 6921
    X86_AVX512_PSRA_Q_128 = 6922
    X86_AVX512_PSRA_Q_256 = 6923
    X86_AVX512_PSRA_Q_512 = 6924
    X86_AVX512_PSRA_W_512 = 6925
    X86_AVX512_PSRAI_D_512 = 6926
    X86_AVX512_PSRAI_Q_128 = 6927
    X86_AVX512_PSRAI_Q_256 = 6928
    X86_AVX512_PSRAI_Q_512 = 6929
    X86_AVX512_PSRAI_W_512 = 6930
    X86_AVX512_PSRAV_D_512 = 6931
    X86_AVX512_PSRAV_Q_128 = 6932
    X86_AVX512_PSRAV_Q_256 = 6933
    X86_AVX512_PSRAV_Q_512 = 6934
    X86_AVX512_PSRAV_W_128 = 6935
    X86_AVX512_PSRAV_W_256 = 6936
    X86_AVX512_PSRAV_W_512 = 6937
    X86_AVX512_PSRL_D_512 = 6938
    X86_AVX512_PSRL_Q_512 = 6939
    X86_AVX512_PSRL_W_512 = 6940
    X86_AVX512_PSRLI_D_512 = 6941
    X86_AVX512_PSRLI_Q_512 = 6942
    X86_AVX512_PSRLI_W_512 = 6943
    X86_AVX512_PSRLV_D_512 = 6944
    X86_AVX512_PSRLV_Q_512 = 6945
    X86_AVX512_PSRLV_W_128 = 6946
    X86_AVX512_PSRLV_W_256 = 6947
    X86_AVX512_PSRLV_W_512 = 6948
    X86_AVX512_PTERNLOG_D_128 = 6949
    X86_AVX512_PTERNLOG_D_256 = 6950
    X86_AVX512_PTERNLOG_D_512 = 6951
    X86_AVX512_PTERNLOG_Q_128 = 6952
    X86_AVX512_PTERNLOG_Q_256 = 6953
    X86_AVX512_PTERNLOG_Q_512 = 6954
    X86_AVX512_RCP14_PD_128 = 6955
    X86_AVX512_RCP14_PD_256 = 6956
    X86_AVX512_RCP14_PD_512 = 6957
    X86_AVX512_RCP14_PS_128 = 6958
    X86_AVX512_RCP14_PS_256 = 6959
    X86_AVX512_RCP14_PS_512 = 6960
    X86_AVX512_RCP14_SD = 6961
    X86_AVX512_RCP14_SS = 6962
    X86_AVX512_RCP28_PD = 6963
    X86_AVX512_RCP28_PS = 6964
    X86_AVX512_RCP28_SD = 6965
    X86_AVX512_RCP28_SS = 6966
    X86_AVX512_RSQRT14_PD_128 = 6967
    X86_AVX512_RSQRT14_PD_256 = 6968
    X86_AVX512_RSQRT14_PD_512 = 6969
    X86_AVX512_RSQRT14_PS_128 = 6970
    X86_AVX512_RSQRT14_PS_256 = 6971
    X86_AVX512_RSQRT14_PS_512 = 6972
    X86_AVX512_RSQRT14_SD = 6973
    X86_AVX512_RSQRT14_SS = 6974
    X86_AVX512_RSQRT28_PD = 6975
    X86_AVX512_RSQRT28_PS = 6976
    X86_AVX512_RSQRT28_SD = 6977
    X86_AVX512_RSQRT28_SS = 6978
    X86_AVX512_SCATTER_DPD_512 = 6979
    X86_AVX512_SCATTER_DPI_512 = 6980
    X86_AVX512_SCATTER_DPQ_512 = 6981
    X86_AVX512_SCATTER_DPS_512 = 6982
    X86_AVX512_SCATTER_QPD_512 = 6983
    X86_AVX512_SCATTER_QPI_512 = 6984
    X86_AVX512_SCATTER_QPQ_512 = 6985
    X86_AVX512_SCATTER_QPS_512 = 6986
    X86_AVX512_SCATTERDIV2_DF = 6987
    X86_AVX512_SCATTERDIV2_DI = 6988
    X86_AVX512_SCATTERDIV4_DF = 6989
    X86_AVX512_SCATTERDIV4_DI = 6990
    X86_AVX512_SCATTERDIV4_SF = 6991
    X86_AVX512_SCATTERDIV4_SI = 6992
    X86_AVX512_SCATTERDIV8_SF = 6993
    X86_AVX512_SCATTERDIV8_SI = 6994
    X86_AVX512_SCATTERPF_DPD_512 = 6995
    X86_AVX512_SCATTERPF_DPS_512 = 6996
    X86_AVX512_SCATTERPF_QPD_512 = 6997
    X86_AVX512_SCATTERPF_QPS_512 = 6998
    X86_AVX512_SCATTERSIV2_DF = 6999
    X86_AVX512_SCATTERSIV2_DI = 7000
    X86_AVX512_SCATTERSIV4_DF = 7001
    X86_AVX512_SCATTERSIV4_DI = 7002
    X86_AVX512_SCATTERSIV4_SF = 7003
    X86_AVX512_SCATTERSIV4_SI = 7004
    X86_AVX512_SCATTERSIV8_SF = 7005
    X86_AVX512_SCATTERSIV8_SI = 7006
    X86_AVX512_SITOFP_ROUND = 7007
    X86_AVX512_SQRT_PD_512 = 7008
    X86_AVX512_SQRT_PS_512 = 7009
    X86_AVX512_SUB_PD_512 = 7010
    X86_AVX512_SUB_PS_512 = 7011
    X86_AVX512_UITOFP_ROUND = 7012
    X86_AVX512_VCOMI_SD = 7013
    X86_AVX512_VCOMI_SS = 7014
    X86_AVX512_VCVTSD2SI32 = 7015
    X86_AVX512_VCVTSD2SI64 = 7016
    X86_AVX512_VCVTSD2USI32 = 7017
    X86_AVX512_VCVTSD2USI64 = 7018
    X86_AVX512_VCVTSS2SI32 = 7019
    X86_AVX512_VCVTSS2SI64 = 7020
    X86_AVX512_VCVTSS2USI32 = 7021
    X86_AVX512_VCVTSS2USI64 = 7022
    X86_AVX512_VFMADD_F32 = 7023
    X86_AVX512_VFMADD_F64 = 7024
    X86_AVX512_VFMADD_PD_512 = 7025
    X86_AVX512_VFMADD_PS_512 = 7026
    X86_AVX512_VFMADDSUB_PD_512 = 7027
    X86_AVX512_VFMADDSUB_PS_512 = 7028
    X86_AVX512_VP2INTERSECT_D_128 = 7029
    X86_AVX512_VP2INTERSECT_D_256 = 7030
    X86_AVX512_VP2INTERSECT_D_512 = 7031
    X86_AVX512_VP2INTERSECT_Q_128 = 7032
    X86_AVX512_VP2INTERSECT_Q_256 = 7033
    X86_AVX512_VP2INTERSECT_Q_512 = 7034
    X86_AVX512_VPDPBUSD_128 = 7035
    X86_AVX512_VPDPBUSD_256 = 7036
    X86_AVX512_VPDPBUSD_512 = 7037
    X86_AVX512_VPDPBUSDS_128 = 7038
    X86_AVX512_VPDPBUSDS_256 = 7039
    X86_AVX512_VPDPBUSDS_512 = 7040
    X86_AVX512_VPDPWSSD_128 = 7041
    X86_AVX512_VPDPWSSD_256 = 7042
    X86_AVX512_VPDPWSSD_512 = 7043
    X86_AVX512_VPDPWSSDS_128 = 7044
    X86_AVX512_VPDPWSSDS_256 = 7045
    X86_AVX512_VPDPWSSDS_512 = 7046
    X86_AVX512_VPERMI2VAR_D_128 = 7047
    X86_AVX512_VPERMI2VAR_D_256 = 7048
    X86_AVX512_VPERMI2VAR_D_512 = 7049
    X86_AVX512_VPERMI2VAR_HI_128 = 7050
    X86_AVX512_VPERMI2VAR_HI_256 = 7051
    X86_AVX512_VPERMI2VAR_HI_512 = 7052
    X86_AVX512_VPERMI2VAR_PD_128 = 7053
    X86_AVX512_VPERMI2VAR_PD_256 = 7054
    X86_AVX512_VPERMI2VAR_PD_512 = 7055
    X86_AVX512_VPERMI2VAR_PS_128 = 7056
    X86_AVX512_VPERMI2VAR_PS_256 = 7057
    X86_AVX512_VPERMI2VAR_PS_512 = 7058
    X86_AVX512_VPERMI2VAR_Q_128 = 7059
    X86_AVX512_VPERMI2VAR_Q_256 = 7060
    X86_AVX512_VPERMI2VAR_Q_512 = 7061
    X86_AVX512_VPERMI2VAR_QI_128 = 7062
    X86_AVX512_VPERMI2VAR_QI_256 = 7063
    X86_AVX512_VPERMI2VAR_QI_512 = 7064
    X86_AVX512_VPERMILVAR_PD_512 = 7065
    X86_AVX512_VPERMILVAR_PS_512 = 7066
    X86_AVX512_VPMADD52H_UQ_128 = 7067
    X86_AVX512_VPMADD52H_UQ_256 = 7068
    X86_AVX512_VPMADD52H_UQ_512 = 7069
    X86_AVX512_VPMADD52L_UQ_128 = 7070
    X86_AVX512_VPMADD52L_UQ_256 = 7071
    X86_AVX512_VPMADD52L_UQ_512 = 7072
    X86_AVX512_VPSHUFBITQMB_128 = 7073
    X86_AVX512_VPSHUFBITQMB_256 = 7074
    X86_AVX512_VPSHUFBITQMB_512 = 7075
    X86_AVX512BF16_CVTNE2PS2BF16_128 = 7076
    X86_AVX512BF16_CVTNE2PS2BF16_256 = 7077
    X86_AVX512BF16_CVTNE2PS2BF16_512 = 7078
    X86_AVX512BF16_CVTNEPS2BF16_256 = 7079
    X86_AVX512BF16_CVTNEPS2BF16_512 = 7080
    X86_AVX512BF16_DPBF16PS_128 = 7081
    X86_AVX512BF16_DPBF16PS_256 = 7082
    X86_AVX512BF16_DPBF16PS_512 = 7083
    X86_AVX512BF16_MASK_CVTNEPS2BF16_128 = 7084
    X86_BMI_BEXTR_32 = 7085
    X86_BMI_BEXTR_64 = 7086
    X86_BMI_BZHI_32 = 7087
    X86_BMI_BZHI_64 = 7088
    X86_BMI_PDEP_32 = 7089
    X86_BMI_PDEP_64 = 7090
    X86_BMI_PEXT_32 = 7091
    X86_BMI_PEXT_64 = 7092
    X86_CLDEMOTE = 7093
    X86_CLFLUSHOPT = 7094
    X86_CLRSSBSY = 7095
    X86_CLWB = 7096
    X86_CLZERO = 7097
    X86_DIRECTSTORE32 = 7098
    X86_DIRECTSTORE64 = 7099
    X86_ENQCMD = 7100
    X86_ENQCMDS = 7101
    X86_FLAGS_READ_U32 = 7102
    X86_FLAGS_READ_U64 = 7103
    X86_FLAGS_WRITE_U32 = 7104
    X86_FLAGS_WRITE_U64 = 7105
    X86_FXRSTOR = 7106
    X86_FXRSTOR64 = 7107
    X86_FXSAVE = 7108
    X86_FXSAVE64 = 7109
    X86_INCSSPD = 7110
    X86_INCSSPQ = 7111
    X86_INT = 7112
    X86_INVPCID = 7113
    X86_LLWPCB = 7114
    X86_LWPINS32 = 7115
    X86_LWPINS64 = 7116
    X86_LWPVAL32 = 7117
    X86_LWPVAL64 = 7118
    X86_MMX_EMMS = 7119
    X86_MMX_FEMMS = 7120
    X86_MMX_MASKMOVQ = 7121
    X86_MMX_MOVNT_DQ = 7122
    X86_MMX_PACKSSDW = 7123
    X86_MMX_PACKSSWB = 7124
    X86_MMX_PACKUSWB = 7125
    X86_MMX_PADD_B = 7126
    X86_MMX_PADD_D = 7127
    X86_MMX_PADD_Q = 7128
    X86_MMX_PADD_W = 7129
    X86_MMX_PADDS_B = 7130
    X86_MMX_PADDS_W = 7131
    X86_MMX_PADDUS_B = 7132
    X86_MMX_PADDUS_W = 7133
    X86_MMX_PALIGNR_B = 7134
    X86_MMX_PAND = 7135
    X86_MMX_PANDN = 7136
    X86_MMX_PAVG_B = 7137
    X86_MMX_PAVG_W = 7138
    X86_MMX_PCMPEQ_B = 7139
    X86_MMX_PCMPEQ_D = 7140
    X86_MMX_PCMPEQ_W = 7141
    X86_MMX_PCMPGT_B = 7142
    X86_MMX_PCMPGT_D = 7143
    X86_MMX_PCMPGT_W = 7144
    X86_MMX_PEXTR_W = 7145
    X86_MMX_PINSR_W = 7146
    X86_MMX_PMADD_WD = 7147
    X86_MMX_PMAXS_W = 7148
    X86_MMX_PMAXU_B = 7149
    X86_MMX_PMINS_W = 7150
    X86_MMX_PMINU_B = 7151
    X86_MMX_PMOVMSKB = 7152
    X86_MMX_PMULH_W = 7153
    X86_MMX_PMULHU_W = 7154
    X86_MMX_PMULL_W = 7155
    X86_MMX_PMULU_DQ = 7156
    X86_MMX_POR = 7157
    X86_MMX_PSAD_BW = 7158
    X86_MMX_PSLL_D = 7159
    X86_MMX_PSLL_Q = 7160
    X86_MMX_PSLL_W = 7161
    X86_MMX_PSLLI_D = 7162
    X86_MMX_PSLLI_Q = 7163
    X86_MMX_PSLLI_W = 7164
    X86_MMX_PSRA_D = 7165
    X86_MMX_PSRA_W = 7166
    X86_MMX_PSRAI_D = 7167
    X86_MMX_PSRAI_W = 7168
    X86_MMX_PSRL_D = 7169
    X86_MMX_PSRL_Q = 7170
    X86_MMX_PSRL_W = 7171
    X86_MMX_PSRLI_D = 7172
    X86_MMX_PSRLI_Q = 7173
    X86_MMX_PSRLI_W = 7174
    X86_MMX_PSUB_B = 7175
    X86_MMX_PSUB_D = 7176
    X86_MMX_PSUB_Q = 7177
    X86_MMX_PSUB_W = 7178
    X86_MMX_PSUBS_B = 7179
    X86_MMX_PSUBS_W = 7180
    X86_MMX_PSUBUS_B = 7181
    X86_MMX_PSUBUS_W = 7182
    X86_MMX_PUNPCKHBW = 7183
    X86_MMX_PUNPCKHDQ = 7184
    X86_MMX_PUNPCKHWD = 7185
    X86_MMX_PUNPCKLBW = 7186
    X86_MMX_PUNPCKLDQ = 7187
    X86_MMX_PUNPCKLWD = 7188
    X86_MMX_PXOR = 7189
    X86_MONITORX = 7190
    X86_MOVDIR64B = 7191
    X86_MWAITX = 7192
    X86_PCLMULQDQ = 7193
    X86_PCLMULQDQ_256 = 7194
    X86_PCLMULQDQ_512 = 7195
    X86_PTWRITE32 = 7196
    X86_PTWRITE64 = 7197
    X86_RDFSBASE_32 = 7198
    X86_RDFSBASE_64 = 7199
    X86_RDGSBASE_32 = 7200
    X86_RDGSBASE_64 = 7201
    X86_RDPID = 7202
    X86_RDPKRU = 7203
    X86_RDPMC = 7204
    X86_RDRAND_16 = 7205
    X86_RDRAND_32 = 7206
    X86_RDRAND_64 = 7207
    X86_RDSEED_16 = 7208
    X86_RDSEED_32 = 7209
    X86_RDSEED_64 = 7210
    X86_RDSSPD = 7211
    X86_RDSSPQ = 7212
    X86_RDTSC = 7213
    X86_RDTSCP = 7214
    X86_RSTORSSP = 7215
    X86_SAVEPREVSSP = 7216
    X86_SEH_EHGUARD = 7217
    X86_SEH_EHREGNODE = 7218
    X86_SEH_LSDA = 7219
    X86_SETSSBSY = 7220
    X86_SHA1MSG1 = 7221
    X86_SHA1MSG2 = 7222
    X86_SHA1NEXTE = 7223
    X86_SHA1RNDS4 = 7224
    X86_SHA256MSG1 = 7225
    X86_SHA256MSG2 = 7226
    X86_SHA256RNDS2 = 7227
    X86_SLWPCB = 7228
    X86_SSE_CMP_PS = 7229
    X86_SSE_CMP_SS = 7230
    X86_SSE_COMIEQ_SS = 7231
    X86_SSE_COMIGE_SS = 7232
    X86_SSE_COMIGT_SS = 7233
    X86_SSE_COMILE_SS = 7234
    X86_SSE_COMILT_SS = 7235
    X86_SSE_COMINEQ_SS = 7236
    X86_SSE_CVTPD2PI = 7237
    X86_SSE_CVTPI2PD = 7238
    X86_SSE_CVTPI2PS = 7239
    X86_SSE_CVTPS2PI = 7240
    X86_SSE_CVTSS2SI = 7241
    X86_SSE_CVTSS2SI64 = 7242
    X86_SSE_CVTTPD2PI = 7243
    X86_SSE_CVTTPS2PI = 7244
    X86_SSE_CVTTSS2SI = 7245
    X86_SSE_CVTTSS2SI64 = 7246
    X86_SSE_LDMXCSR = 7247
    X86_SSE_MAX_PS = 7248
    X86_SSE_MAX_SS = 7249
    X86_SSE_MIN_PS = 7250
    X86_SSE_MIN_SS = 7251
    X86_SSE_MOVMSK_PS = 7252
    X86_SSE_PSHUF_W = 7253
    X86_SSE_RCP_PS = 7254
    X86_SSE_RCP_SS = 7255
    X86_SSE_RSQRT_PS = 7256
    X86_SSE_RSQRT_SS = 7257
    X86_SSE_SFENCE = 7258
    X86_SSE_STMXCSR = 7259
    X86_SSE_UCOMIEQ_SS = 7260
    X86_SSE_UCOMIGE_SS = 7261
    X86_SSE_UCOMIGT_SS = 7262
    X86_SSE_UCOMILE_SS = 7263
    X86_SSE_UCOMILT_SS = 7264
    X86_SSE_UCOMINEQ_SS = 7265
    X86_SSE2_CLFLUSH = 7266
    X86_SSE2_CMP_PD = 7267
    X86_SSE2_CMP_SD = 7268
    X86_SSE2_COMIEQ_SD = 7269
    X86_SSE2_COMIGE_SD = 7270
    X86_SSE2_COMIGT_SD = 7271
    X86_SSE2_COMILE_SD = 7272
    X86_SSE2_COMILT_SD = 7273
    X86_SSE2_COMINEQ_SD = 7274
    X86_SSE2_CVTPD2DQ = 7275
    X86_SSE2_CVTPD2PS = 7276
    X86_SSE2_CVTPS2DQ = 7277
    X86_SSE2_CVTSD2SI = 7278
    X86_SSE2_CVTSD2SI64 = 7279
    X86_SSE2_CVTSD2SS = 7280
    X86_SSE2_CVTTPD2DQ = 7281
    X86_SSE2_CVTTPS2DQ = 7282
    X86_SSE2_CVTTSD2SI = 7283
    X86_SSE2_CVTTSD2SI64 = 7284
    X86_SSE2_LFENCE = 7285
    X86_SSE2_MASKMOV_DQU = 7286
    X86_SSE2_MAX_PD = 7287
    X86_SSE2_MAX_SD = 7288
    X86_SSE2_MFENCE = 7289
    X86_SSE2_MIN_PD = 7290
    X86_SSE2_MIN_SD = 7291
    X86_SSE2_MOVMSK_PD = 7292
    X86_SSE2_PACKSSDW_128 = 7293
    X86_SSE2_PACKSSWB_128 = 7294
    X86_SSE2_PACKUSWB_128 = 7295
    X86_SSE2_PAUSE = 7296
    X86_SSE2_PAVG_B = 7297
    X86_SSE2_PAVG_W = 7298
    X86_SSE2_PMADD_WD = 7299
    X86_SSE2_PMOVMSKB_128 = 7300
    X86_SSE2_PMULH_W = 7301
    X86_SSE2_PMULHU_W = 7302
    X86_SSE2_PSAD_BW = 7303
    X86_SSE2_PSLL_D = 7304
    X86_SSE2_PSLL_Q = 7305
    X86_SSE2_PSLL_W = 7306
    X86_SSE2_PSLLI_D = 7307
    X86_SSE2_PSLLI_Q = 7308
    X86_SSE2_PSLLI_W = 7309
    X86_SSE2_PSRA_D = 7310
    X86_SSE2_PSRA_W = 7311
    X86_SSE2_PSRAI_D = 7312
    X86_SSE2_PSRAI_W = 7313
    X86_SSE2_PSRL_D = 7314
    X86_SSE2_PSRL_Q = 7315
    X86_SSE2_PSRL_W = 7316
    X86_SSE2_PSRLI_D = 7317
    X86_SSE2_PSRLI_Q = 7318
    X86_SSE2_PSRLI_W = 7319
    X86_SSE2_UCOMIEQ_SD = 7320
    X86_SSE2_UCOMIGE_SD = 7321
    X86_SSE2_UCOMIGT_SD = 7322
    X86_SSE2_UCOMILE_SD = 7323
    X86_SSE2_UCOMILT_SD = 7324
    X86_SSE2_UCOMINEQ_SD = 7325
    X86_SSE3_ADDSUB_PD = 7326
    X86_SSE3_ADDSUB_PS = 7327
    X86_SSE3_HADD_PD = 7328
    X86_SSE3_HADD_PS = 7329
    X86_SSE3_HSUB_PD = 7330
    X86_SSE3_HSUB_PS = 7331
    X86_SSE3_LDU_DQ = 7332
    X86_SSE3_MONITOR = 7333
    X86_SSE3_MWAIT = 7334
    X86_SSE41_BLENDVPD = 7335
    X86_SSE41_BLENDVPS = 7336
    X86_SSE41_DPPD = 7337
    X86_SSE41_DPPS = 7338
    X86_SSE41_INSERTPS = 7339
    X86_SSE41_MPSADBW = 7340
    X86_SSE41_PACKUSDW = 7341
    X86_SSE41_PBLENDVB = 7342
    X86_SSE41_PHMINPOSUW = 7343
    X86_SSE41_PTESTC = 7344
    X86_SSE41_PTESTNZC = 7345
    X86_SSE41_PTESTZ = 7346
    X86_SSE41_ROUND_PD = 7347
    X86_SSE41_ROUND_PS = 7348
    X86_SSE41_ROUND_SD = 7349
    X86_SSE41_ROUND_SS = 7350
    X86_SSE42_CRC32_32_16 = 7351
    X86_SSE42_CRC32_32_32 = 7352
    X86_SSE42_CRC32_32_8 = 7353
    X86_SSE42_CRC32_64_64 = 7354
    X86_SSE42_PCMPESTRI128 = 7355
    X86_SSE42_PCMPESTRIA128 = 7356
    X86_SSE42_PCMPESTRIC128 = 7357
    X86_SSE42_PCMPESTRIO128 = 7358
    X86_SSE42_PCMPESTRIS128 = 7359
    X86_SSE42_PCMPESTRIZ128 = 7360
    X86_SSE42_PCMPESTRM128 = 7361
    X86_SSE42_PCMPISTRI128 = 7362
    X86_SSE42_PCMPISTRIA128 = 7363
    X86_SSE42_PCMPISTRIC128 = 7364
    X86_SSE42_PCMPISTRIO128 = 7365
    X86_SSE42_PCMPISTRIS128 = 7366
    X86_SSE42_PCMPISTRIZ128 = 7367
    X86_SSE42_PCMPISTRM128 = 7368
    X86_SSE4A_EXTRQ = 7369
    X86_SSE4A_EXTRQI = 7370
    X86_SSE4A_INSERTQ = 7371
    X86_SSE4A_INSERTQI = 7372
    X86_SSSE3_PABS_B = 7373
    X86_SSSE3_PABS_D = 7374
    X86_SSSE3_PABS_W = 7375
    X86_SSSE3_PHADD_D = 7376
    X86_SSSE3_PHADD_D_128 = 7377
    X86_SSSE3_PHADD_SW = 7378
    X86_SSSE3_PHADD_SW_128 = 7379
    X86_SSSE3_PHADD_W = 7380
    X86_SSSE3_PHADD_W_128 = 7381
    X86_SSSE3_PHSUB_D = 7382
    X86_SSSE3_PHSUB_D_128 = 7383
    X86_SSSE3_PHSUB_SW = 7384
    X86_SSSE3_PHSUB_SW_128 = 7385
    X86_SSSE3_PHSUB_W = 7386
    X86_SSSE3_PHSUB_W_128 = 7387
    X86_SSSE3_PMADD_UB_SW = 7388
    X86_SSSE3_PMADD_UB_SW_128 = 7389
    X86_SSSE3_PMUL_HR_SW = 7390
    X86_SSSE3_PMUL_HR_SW_128 = 7391
    X86_SSSE3_PSHUF_B = 7392
    X86_SSSE3_PSHUF_B_128 = 7393
    X86_SSSE3_PSIGN_B = 7394
    X86_SSSE3_PSIGN_B_128 = 7395
    X86_SSSE3_PSIGN_D = 7396
    X86_SSSE3_PSIGN_D_128 = 7397
    X86_SSSE3_PSIGN_W = 7398
    X86_SSSE3_PSIGN_W_128 = 7399
    X86_SUBBORROW_32 = 7400
    X86_SUBBORROW_64 = 7401
    X86_TBM_BEXTRI_U32 = 7402
    X86_TBM_BEXTRI_U64 = 7403
    X86_TPAUSE = 7404
    X86_UMONITOR = 7405
    X86_UMWAIT = 7406
    X86_VCVTPH2PS_128 = 7407
    X86_VCVTPH2PS_256 = 7408
    X86_VCVTPS2PH_128 = 7409
    X86_VCVTPS2PH_256 = 7410
    X86_VGF2P8AFFINEINVQB_128 = 7411
    X86_VGF2P8AFFINEINVQB_256 = 7412
    X86_VGF2P8AFFINEINVQB_512 = 7413
    X86_VGF2P8AFFINEQB_128 = 7414
    X86_VGF2P8AFFINEQB_256 = 7415
    X86_VGF2P8AFFINEQB_512 = 7416
    X86_VGF2P8MULB_128 = 7417
    X86_VGF2P8MULB_256 = 7418
    X86_VGF2P8MULB_512 = 7419
    X86_WBINVD = 7420
    X86_WBNOINVD = 7421
    X86_WRFSBASE_32 = 7422
    X86_WRFSBASE_64 = 7423
    X86_WRGSBASE_32 = 7424
    X86_WRGSBASE_64 = 7425
    X86_WRPKRU = 7426
    X86_WRSSD = 7427
    X86_WRSSQ = 7428
    X86_WRUSSD = 7429
    X86_WRUSSQ = 7430
    X86_XABORT = 7431
    X86_XBEGIN = 7432
    X86_XEND = 7433
    X86_XGETBV = 7434
    X86_XOP_VFRCZ_PD = 7435
    X86_XOP_VFRCZ_PD_256 = 7436
    X86_XOP_VFRCZ_PS = 7437
    X86_XOP_VFRCZ_PS_256 = 7438
    X86_XOP_VFRCZ_SD = 7439
    X86_XOP_VFRCZ_SS = 7440
    X86_XOP_VPERMIL2PD = 7441
    X86_XOP_VPERMIL2PD_256 = 7442
    X86_XOP_VPERMIL2PS = 7443
    X86_XOP_VPERMIL2PS_256 = 7444
    X86_XOP_VPHADDBD = 7445
    X86_XOP_VPHADDBQ = 7446
    X86_XOP_VPHADDBW = 7447
    X86_XOP_VPHADDDQ = 7448
    X86_XOP_VPHADDUBD = 7449
    X86_XOP_VPHADDUBQ = 7450
    X86_XOP_VPHADDUBW = 7451
    X86_XOP_VPHADDUDQ = 7452
    X86_XOP_VPHADDUWD = 7453
    X86_XOP_VPHADDUWQ = 7454
    X86_XOP_VPHADDWD = 7455
    X86_XOP_VPHADDWQ = 7456
    X86_XOP_VPHSUBBW = 7457
    X86_XOP_VPHSUBDQ = 7458
    X86_XOP_VPHSUBWD = 7459
    X86_XOP_VPMACSDD = 7460
    X86_XOP_VPMACSDQH = 7461
    X86_XOP_VPMACSDQL = 7462
    X86_XOP_VPMACSSDD = 7463
    X86_XOP_VPMACSSDQH = 7464
    X86_XOP_VPMACSSDQL = 7465
    X86_XOP_VPMACSSWD = 7466
    X86_XOP_VPMACSSWW = 7467
    X86_XOP_VPMACSWD = 7468
    X86_XOP_VPMACSWW = 7469
    X86_XOP_VPMADCSSWD = 7470
    X86_XOP_VPMADCSWD = 7471
    X86_XOP_VPPERM = 7472
    X86_XOP_VPSHAB = 7473
    X86_XOP_VPSHAD = 7474
    X86_XOP_VPSHAQ = 7475
    X86_XOP_VPSHAW = 7476
    X86_XOP_VPSHLB = 7477
    X86_XOP_VPSHLD = 7478
    X86_XOP_VPSHLQ = 7479
    X86_XOP_VPSHLW = 7480
    X86_XRSTOR = 7481
    X86_XRSTOR64 = 7482
    X86_XRSTORS = 7483
    X86_XRSTORS64 = 7484
    X86_XSAVE = 7485
    X86_XSAVE64 = 7486
    X86_XSAVEC = 7487
    X86_XSAVEC64 = 7488
    X86_XSAVEOPT = 7489
    X86_XSAVEOPT64 = 7490
    X86_XSAVES = 7491
    X86_XSAVES64 = 7492
    X86_XSETBV = 7493
    X86_XTEST = 7494
